clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.

***  Percentage of 'unlawful measures per country-year
graph box y_num3, over(year) ytitle("Unlawful state aid measures (%)") bar(1, color (dknavy)) ///
graphr(color(white)) cwhiskers lines(lpattern(solid)lcolor(black)) ///
box(1, color(none) lcolor(black)) marker(1, msymbol(oh) mcolor(black)) saving(figure_1u, replace)

graph box y_num3, over(country_brief, sort(1) descending) ytitle("Unlawful state aid measures (%)") bar(1, color (dknavy)) ///
graphr(color(white)) cwhiskers lines(lpattern(solid)lcolor(black)) ///
box(1, color(none) lcolor(black)) marker(1, msymbol(oh) mcolor(black)) saving(figure_1l, replace)

graph combine figure_1u.gph figure_1l.gph, col(1) ycom graphregion(fcolor(white)) saving(figure_1, replace)

exit
note("A Austria, B Belgium, BG Bulgaria, CY Cyprus, CZ Czech Republic, D Germany, DK Denmark, E Spain, ES Estonia, F France FI Finland, GB Britain, GR Greece, H Hungary, I Italy, IR Ireland, L Luxembourg, LT Lithuania, LV Latvia, M Malta NL Netherlands, P Portugal, PL Poland, RO Romania, S Sweden, SK Slovakia, SL Slovenia", size(2))
