*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)
* H2.1) the marginal effect of district magnitude on the likelihood of adopting unlawful measures is negative if party leaders have control over the ballot;
* it is positive if party leaders have no such control.

**** Model 3
* votepool_avg at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_avg==1.5)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* votepool_avg at mean, no ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_avg at mean, ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_avg at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_avg==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n
eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(Marginal effect of {it:District Magnitude}, size(2)) ///
xtitle(" ", size(2)) ///
ylabel(0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean" 3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.5 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.5 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f2model_3, replace)

**** Model 4
* votepool_avg at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_avg==1.5)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* votepool_avg at mean, no ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_avg at mean, ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_avg at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_avg==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n
eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(" ", size(2)) xtitle(" ", size(2)) ///
ylabel(0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean" 3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.5 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.5 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f2model_4, replace)

**** Model 5
* votepool_sum at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_sum==3)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* votepool_sum at mean, no ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_sum at mean, ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_sum at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_sum==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n

eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(" ", size(2)) xtitle(" ", size(2)) xtitle(Values of {it:Pool-Votes Rules}, size(2)) ///
ylabel(0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean" 3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.5 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.5 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f2model_5, replace)

**** Model 6
* votepool_sum at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_sum==3)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* votepool_sum at mean, no ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_sum at mean, ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* votepool_sum at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
margins, over(ballot_control) dydx(district_average) at((mean) votepool_sum==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n
eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(Marginal effect of {it:District Magnitude}, size(2)) xtitle(Values of {it:Pool-Votes Rules}, size(2)) ///
ylabel(0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean"  3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.5 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.5 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f2model_6, replace)

graph combine f2model_3.gph f2model_4.gph f2model_6.gph f2model_5.gph, col(2) ycom xcom graphregion(fcolor(white)) saving(figure_2, replace)


