*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

* H3.1) the marginal effect of district magnitude on the likelihood of adopting unlawful measures is positive at all values of personal vote-inducing electoral rules (vote and pool)
**** Model 3
* No ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb7=V[7,7]
scalar covb1b7=V[1,7]
scalar list b1 b7 varb1 varb7 covb1b7
generate MVZ=(_n+29)/100
replace  MVZ=. if _n>121
gen conbx=b1+b7*MVZ if _n<122
gen consx=sqrt(varb1+varb7*(MVZ^2)+2*covb1b7*MVZ) if _n<122
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(votepool_avg) if ballot_control==0
gen yline=0
graph twoway hist votepool_avg if ballot_control==0, width(0.05) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0.5 1 1.5, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40 50 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("Marginal effect of  {it:District Magnitude}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2.5)) ///
			 xsca(titlegap(2) r(0.3 1.5)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f3model_3, replace)
			 
**** Model 4
* No ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb7=V[7,7]
scalar covb1b7=V[1,7]
scalar list b1 b7 varb1 varb7 covb1b7
generate MVZ=(_n+29)/100
replace  MVZ=. if _n>121
gen conbx=b1+b7*MVZ if _n<122
gen consx=sqrt(varb1+varb7*(MVZ^2)+2*covb1b7*MVZ) if _n<122
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(votepool_avg) if ballot_control==0
gen yline=0
graph twoway hist votepool_avg if ballot_control==0, width(0.05) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0.5 1 1.5, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40 50 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f3model_4, replace)
**** Model 5
* No ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb7=V[7,7]
scalar covb1b7=V[1,7]
scalar list b1 b7 varb1 varb7 covb1b7
generate MVZ=(_n+60)/100
replace  MVZ=. if _n>240
gen conbx=b1+b7*MVZ if _n<241
gen consx=sqrt(varb1+varb7*(MVZ^2)+2*covb1b7*MVZ) if _n<241
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(votepool_sum) if ballot_control==0
gen yline=0
graph twoway hist votepool_sum if ballot_control==0, width(0.1) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 2 3, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40 50 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:Pool-Vote Rules}" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f3model_5, replace)

**** Model 6
* No ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb7=V[7,7]
scalar covb1b7=V[1,7]
scalar list b1 b7 varb1 varb7 covb1b7
generate MVZ=(_n+60)/100
replace  MVZ=. if _n>240
gen conbx=b1+b7*MVZ if _n<241
gen consx=sqrt(varb1+varb7*(MVZ^2)+2*covb1b7*MVZ) if _n<241
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(votepool_sum) if ballot_control==0
gen yline=0
graph twoway hist votepool_sum if ballot_control==0, width(0.1) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 2 3, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40 50 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:Pool-Vote Rules}" , size(2.5)) ytitle("Marginal effect of  {it:District Magnitude}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f3model_6, replace)

graph combine f3model_3.gph f3model_4.gph f3model_6.gph f3model_5.gph , col(2) ycom graphregion(fcolor(white)) saving(figure_3, replace)


