*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

* H3.1) the marginal effect of district magnitude on the likelihood of adopting unlawful measures is positive at all values of personal vote-inducing electoral rules (vote and pool)
**** Model 3
* Ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b5=b[1,5]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb5=V[5,5]
scalar varb7=V[7,7]
scalar covb1b5=V[1,5]
scalar covb1b7=V[1,7]
scalar covb5b7=V[5,7]
scalar list b1 b5 b7 varb1 varb5 varb7 covb1b5 covb1b7 covb5b7
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>56
gen conbx=b1+b5+b7*MVZ if _n<55
gen consx=sqrt(varb1+varb5+varb7*(MVZ^2)+2*covb1b5+2*covb1b7*MVZ+2*covb5b7*MVZ) if _n<55
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(votepool_avg) if ballot_control==1
gen yline=0
graph twoway hist votepool_avg if ballot_control==1, width(0.02) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.25 0.5, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015 0.02, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("Marginal effect of  {it:District Magnitude}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f4model_3, replace)

**** Model 4
* Ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b5=b[1,5]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb5=V[5,5]
scalar varb7=V[7,7]
scalar covb1b5=V[1,5]
scalar covb1b7=V[1,7]
scalar covb5b7=V[5,7]
scalar list b1 b5 b7 varb1 varb5 varb7 covb1b5 covb1b7 covb5b7
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>56
gen conbx=b1+b5+b7*MVZ if _n<55
gen consx=sqrt(varb1+varb5+varb7*(MVZ^2)+2*covb1b5+2*covb1b7*MVZ+2*covb5b7*MVZ) if _n<55
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(votepool_avg) if ballot_control==1
gen yline=0
graph twoway hist votepool_avg if ballot_control==1, width(0.02) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.25 0.5, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015 0.02, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f4model_4, replace)

**** Model 5
* Ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(ar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b5=b[1,5]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb5=V[5,5]
scalar varb7=V[7,7]
scalar covb1b5=V[1,5]
scalar covb1b7=V[1,7]
scalar covb5b7=V[5,7]
scalar list b1 b5 b7 varb1 varb5 varb7 covb1b5 covb1b7 covb5b7
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>105
gen conbx=b1+b5+b7*MVZ if _n<106
gen consx=sqrt(varb1+varb5+varb7*(MVZ^2)+2*covb1b5+2*covb1b7*MVZ+2*covb5b7*MVZ) if _n<106
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(votepool_sum) if ballot_control==1
gen yline=0
graph twoway hist votepool_sum if ballot_control==1, width(0.03) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.5 1, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015 0.02, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:Pool-Vote Rules}" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f4model_5, replace)

**** Model 6
* Ballot control
clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.
xtset member_state year, yearly
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state, pairwise correlation(psar1)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b5=b[1,5]
scalar b7=b[1,7]
scalar varb1=V[1,1]
scalar varb5=V[5,5]
scalar varb7=V[7,7]
scalar covb1b5=V[1,5]
scalar covb1b7=V[1,7]
scalar covb5b7=V[5,7]
scalar list b1 b5 b7 varb1 varb5 varb7 covb1b5 covb1b7 covb5b7
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>105
gen conbx=b1+b5+b7*MVZ if _n<106
gen consx=sqrt(varb1+varb5+varb7*(MVZ^2)+2*covb1b5+2*covb1b7*MVZ+2*covb5b7*MVZ) if _n<106
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(votepool_sum) if ballot_control==1
gen yline=0
graph twoway hist votepool_sum if ballot_control==1, width(0.03) percent color(gs14) yaxis(2) ///
		|| scatter where votepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.5 1, noticks nogrid labsize(2)) xscale(noline) ylabel(0 0.005 0.01 0.015 0.02, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 10 20 30 40, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:Pool-Vote Rules}" , size(2.5)) ytitle("Marginal effect of  {it:District Magnitude}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2.5)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f4model_6, replace)

graph combine f4model_3.gph f4model_4.gph f4model_6.gph f4model_5.gph , col(2) ycom graphregion(fcolor(white)) saving(figure_4, replace)


