*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)
* H2.1) the marginal effect of district magnitude on the likelihood of adopting unlawful measures is negative if party leaders have control over the ballot;
* it is positive if party leaders have no such control.

**** Model 2
* Mvotepool_avg at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean) Mvotepool_avg==1.5)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* Mvotepool_avg at mean, no ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* Mvotepool_avg at mean, ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* Mvotepool_avg at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean) Mvotepool_avg==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n
eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(Marginal effect of {it:District Magnitude}({it:dev}), size(2)) xtitle(Values of {it:Pool-Votes Rules} ({it:mean}), size(2)) ///
ylabel(-1.5 -1 -0.5 0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean" 3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.8 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.8 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f5model_2, replace)

**** Model 3
* Mvotepool_sum at max, no ballot control(there are no obs in case of ballot control)
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean) Mvotepool_sum==3)
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote max" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim.dta, replace
* Mvotepool_sum at mean, no ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,1]
mat T = R[5,1]
mat U = R[6,1]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="No ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* Mvotepool_sum at mean, ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean))
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
svmat W
replace var1="Pool-Vote mean" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
* Mvotepool_sum at min, ballot control(there are no obs in case of no ballot control)
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
margins, over(ballot_control) dydx(Ddistrict_average) at((mean) Mvotepool_sum==0)
matrix R=r(table)
matrix list R
mat S = R[1,2]
mat T = R[5,2]
mat U = R[6,2]
mat W = S \ T
mat W = W \ U
mat W = W'
matrix list R
matrix list W
drop _all
gen str10 var1=""
gen str10 var2=""
mat list W
svmat W
replace var1="Pool-Vote min" in 1
replace var2="Ballot control" in 1
rename W1 b
rename W2 ll
rename W3 ul
save sim2.dta, replace
save sim2.dta, replace
use sim.dta, clear
append using sim2.dta
save sim.dta, replace
replace b=b*100
replace ul=ul*100
replace ll=ll*100
gen n=_n
eclplot b ul ll n, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ///
ysca(noline) xsca(noline) ytitle(" ", size(2)) xtitle(Values of {it:Pool-Votes Rules} ({it:mean}), size(2)) ///
ylabel(-1.5 -1 -0.5 0 0.5 1 1.5, noticks labsize(2)) xlabel(1 "maximum" 2 "mean" 3 "mean" 4 "miminum", noticks labsize(2)) ///
yline(0, lpattern(dot) lcolor(black) lwidth(medthin)) xline(2.5, lpattern(dash) lcolor(black) lwidth(medthin)) ///
text(1.8 1.5 " No {it:Ballot Control}", place(c) just(center) size(2)) ///
text(1.8 3.5 " {it:Ballot Control}", place(c) just(center) size(2)) saving(f5model_3, replace)

graph combine f5model_2.gph f5model_3.gph, col(2) ycom xcom graphregion(fcolor(white)) saving(figure_5, replace)

