*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

* H3.1) the marginal effect of district magnitude on the likelihood of adopting unlawful measures is positive at all values of personal vote-inducing electoral rules (vote and pool)
**** Model 2
* No ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)	 
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b11=b[1,11]
scalar varb1=V[1,1]
scalar varb11=V[11,11]
scalar covb1b11=V[1,11]
* MVZ is Mvotepool_avg
generate MVZ=(_n+47)/100
replace  MVZ=. if _n>103
gen conbx=b1+b11*MVZ if _n<104
gen consx=sqrt(varb1+varb11*(MVZ^2)+2*covb1b11*MVZ) if _n<104
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=-0.015 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(Mvotepool_avg) if ballot_control==0
gen yline=0
graph twoway hist Mvotepool_avg if ballot_control==0, width(0.05) percent color(gs14) yaxis(2) ///
		|| scatter where Mvotepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0.5 1 1.5, noticks nogrid labsize(2)) xscale(noline) ylabel(-0.015 -0.01 -0.005 0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 20 40 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("", size(2.5)) ytitle(Marginal effect of {it:District Magnitude}({it:dev}), axis(1) size(2.5)) ytitle("" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f6umodel_2, replace)
			 
**** Model 3
* No ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)	 
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b11=b[1,11]
scalar varb1=V[1,1]
scalar varb11=V[11,11]
scalar covb1b11=V[1,11]
* MVZ is Mvotepool_avg
generate MVZ=(_n+98)/100
replace  MVZ=. if _n>202
gen conbx=b1+b11*MVZ if _n<203
gen consx=sqrt(varb1+varb11*(MVZ^2)+2*covb1b11*MVZ) if _n<203
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=-0.015 if ballot_control==0
gen pipe = "|" if ballot_control==0
egen tag_vp = tag(Mvotepool_sum) if ballot_control==0
gen yline=0
graph twoway hist Mvotepool_sum if ballot_control==0, width(0.08) percent color(gs14) yaxis(2) ///
		|| scatter where Mvotepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 2 3, noticks nogrid labsize(2)) xscale(noline) ylabel(-0.015 -0.01 -0.005 0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 20 40 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("", size(2.5)) ytitle("", axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f6umodel_3, replace)

**** Model 2
* Ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)	 
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b8=b[1,8]
scalar b11=b[1,11]
scalar varb1=V[1,1]
scalar varb8=V[1,8]
scalar varb11=V[11,11]
scalar covb1b8=V[1,8]
scalar covb1b11=V[1,11]
scalar covb8b11=V[8,11]
* MVZ is Mvotepool_avg
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>79
gen conbx=b1+b8+b11*MVZ if _n<80
gen consx=sqrt(varb1+varb8+varb11*(MVZ^2)+2*covb1b8+2*covb1b11*MVZ+2*covb8b11*MVZ) if _n<80
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=-0.015 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(Mvotepool_avg) if ballot_control==1
gen yline=0
graph twoway hist Mvotepool_avg if ballot_control==1, width(0.05) percent color(gs14) yaxis(2) ///
		|| scatter where Mvotepool_avg if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.4 0.8, noticks nogrid labsize(2)) xscale(noline) ylabel(-0.015 -0.01 -0.005 0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 20 40 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle({it:Pool-Votes Rules} ({it:mean}), size(2.5)) ytitle(Marginal effect of {it:District Magnitude}({it:dev}), axis(1) size(2.5)) ytitle("" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f6lmodel_2, replace)
**** Model 3
* Ballot control
clear all
version 12.1
run "means and deviations.do"
drop if y_num3==.
xtset member_state year, yearly
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)	 
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b8=b[1,8]
scalar b11=b[1,11]
scalar varb1=V[1,1]
scalar varb8=V[1,8]
scalar varb11=V[11,11]
scalar covb1b8=V[1,8]
scalar covb1b11=V[1,11]
scalar covb8b11=V[8,11]
* MVZ is Mvotepool_avg
generate MVZ=(_n-1)/100
replace  MVZ=. if _n>156
gen conbx=b1+b8+b11*MVZ if _n<157
gen consx=sqrt(varb1+varb8+varb11*(MVZ^2)+2*covb1b8+2*covb1b11*MVZ+2*covb8b11*MVZ) if _n<157
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=-0.015 if ballot_control==1
gen pipe = "|" if ballot_control==1
egen tag_vp = tag(Mvotepool_sum) if ballot_control==1
gen yline=0
graph twoway hist Mvotepool_sum if ballot_control==1, width(0.08) percent color(gs14) yaxis(2) ///
		|| scatter where Mvotepool_sum if tag_vp, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(0 0.5 1 1.5, noticks nogrid labsize(2)) xscale(noline) ylabel(-0.015 -0.01 -0.005 0 0.005 0.01 0.015, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 20 40 60, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle({it:Pool-Votes Rules} ({it:mean}), size(2.5)) ytitle("", axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(f6lmodel_3, replace)

graph combine f6umodel_2.gph f6umodel_3.gph f6lmodel_2.gph f6lmodel_3.gph, col(2) ycom graphregion(fcolor(white)) saving(figure_6, replace)



