*** Substantive analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

* H3.2 the marginal effect of personal vote-inducing electoral rules on the likelihood of adopting unlawful measures is positive at all values of district magnitude; 
* this positive effect is weakest when district magnitude is at its lowest levels and strengthens in magnitude as district magnitude increases.
**** Model 3
clear all
use "Replication dataset JPP Franchino Mainenti.dta"
xtset member_state year, yearly
xtpcse y_num3 c.votepool_avg c.district_average c.district_average#c.votepool_avg i.ballot_control c.district_average#i.ballot_control ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state if district_average>1, pairwise correlation(ar1)	
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b3=b[1,3]
scalar varb1=V[1,1]
scalar varb3=V[3,3]
scalar covb1b3=V[1,3]
scalar list b1 b3 varb1 varb3 covb1b3
set obs 617 
generate MVZ=_n
replace  MVZ=. if _n>617
gen conbx=b1+b3*MVZ if _n<617
gen consx=sqrt(varb1+varb3*(MVZ^2)+2*covb1b3*MVZ) if _n<617
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0
gen pipe = "|"
egen tag_da = tag(district_average)
gen yline=0
graph twoway hist district_average, width(1) percent color(gs14) yaxis(2) ///
		|| scatter where district_average if tag_da, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 100 200 300 400 500 600, noticks nogrid labsize(2)) xscale(noline) ylabel(0 1 3 5 7, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 5 10 15, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("Marginal effect of {it:Pool-Vote Rules}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(fA1model_3.gph, replace)

**** Model 4
clear all
use "Replication dataset JPP Franchino Mainenti.dta"
xtset member_state year, yearly
xtpcse y_num3 c.votepool_avg c.district_average c.district_average#c.votepool_avg i.ballot_control c.district_average#i.ballot_control ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state if district_average>1, pairwise correlation(psar1)	
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b3=b[1,3]
scalar varb1=V[1,1]
scalar varb3=V[3,3]
scalar covb1b3=V[1,3]
scalar list b1 b3 varb1 varb3 covb1b3
set obs 617 
generate MVZ=_n
replace  MVZ=. if _n>617
gen conbx=b1+b3*MVZ if _n<617
gen consx=sqrt(varb1+varb3*(MVZ^2)+2*covb1b3*MVZ) if _n<617
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0
gen pipe = "|"
egen tag_da = tag(district_average)
gen yline=0
graph twoway hist district_average, width(1) percent color(gs14) yaxis(2) ///
		|| scatter where district_average if tag_da, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 100 200 300 400 500 600, noticks nogrid labsize(2)) xscale(noline) ylabel(0 1 3 5 7, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 5 10 15, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(fA1model_4.gph, replace)

**** Model 5
clear all
use "Replication dataset JPP Franchino Mainenti.dta"
xtset member_state year, yearly
xtpcse y_num3 c.votepool_sum c.district_average c.district_average#c.votepool_sum i.ballot_control c.district_average#i.ballot_control ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state if district_average>1, pairwise correlation(ar1)	
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b3=b[1,3]
scalar varb1=V[1,1]
scalar varb3=V[3,3]
scalar covb1b3=V[1,3]
scalar list b1 b3 varb1 varb3 covb1b3
set obs 617 
generate MVZ=_n
replace  MVZ=. if _n>617
gen conbx=b1+b3*MVZ if _n<617
gen consx=sqrt(varb1+varb3*(MVZ^2)+2*covb1b3*MVZ) if _n<617
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0
gen pipe = "|"
egen tag_da = tag(district_average)
gen yline=0
graph twoway hist district_average, width(1) percent color(gs14) yaxis(2) ///
		|| scatter where district_average if tag_da, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 100 200 300 400 500 600, noticks nogrid labsize(2)) xscale(noline) ylabel(0 1 3 5 7, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 5 10 15, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:District Magnitude}" , size(2.5)) ytitle("Marginal effect of {it:Pool-Vote Rules}" , axis(1) size(2.5)) ytitle("" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(fA1model_5.gph, replace)

**** Model 6
clear all
use "Replication dataset JPP Franchino Mainenti.dta"
xtset member_state year, yearly
xtpcse y_num3 c.votepool_sum c.district_average c.district_average#c.votepool_sum i.ballot_control c.district_average#i.ballot_control ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state if district_average>1, pairwise correlation(psar1)	
* Code from Thomas Brambor, William Roberts Clark, Matt Golder, Political Analysis 14: 63-82)
matrix b=e(b)
matrix V=e(V)
scalar b1=b[1,1]
scalar b3=b[1,3]
scalar varb1=V[1,1]
scalar varb3=V[3,3]
scalar covb1b3=V[1,3]
scalar list b1 b3 varb1 varb3 covb1b3
set obs 617 
generate MVZ=_n
replace  MVZ=. if _n>617
gen conbx=b1+b3*MVZ if _n<617
gen consx=sqrt(varb1+varb3*(MVZ^2)+2*covb1b3*MVZ) if _n<617
gen ax=1.96*consx
gen upperx=conbx+ax
gen lowerx=conbx-ax
gen where=0
gen pipe = "|"
egen tag_da = tag(district_average)
gen yline=0
graph twoway hist district_average, width(1) percent color(gs14) yaxis(2) ///
		|| scatter where district_average if tag_da, plotr(m(b 4)) ms(none) mlabcolor(gs5) mlabel(pipe) mlabpos(6) legend(off)  ///
		||   line conbx   MVZ, clpattern(solid) clwidth(medium) clcolor(black) yaxis(1)  ///
        ||   line upperx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line lowerx  MVZ, clpattern(dash) clwidth(thin) clcolor(black)  ///
        ||   line yline  MVZ,  clwidth(thin) clcolor(black) clpattern(solid) || , ///
			 xlabel(1 100 200 300 400 500 600, noticks nogrid labsize(2)) xscale(noline) ylabel(0 1 3 5 7, noticks axis(1) nogrid labsize(2))  ///
		     ylabel(0 5 10 15, noticks axis(2) nogrid labsize(2)) yscale(noline alt) yscale(noline alt axis(2)) legend(off) ///			 
			 xtitle("{it:District Magnitude}" , size(2.5)) ytitle("" , axis(1) size(2.5)) ytitle("Percentage" , axis(2) size(2)) ///
			 xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white) ilcolor(white) lcolor(white)) saving(fA1model_6.gph, replace)

graph combine fA1model_3.gph fA1model_4.gph fA1model_5.gph fA1model_6.gph, col(2) ycom graphregion(fcolor(white)) saving(figure_A1, replace) 

* Note: (Single-member electoral district systems excluded, size(2))
