clear all
version 12.1
run "means and deviations.do"
*** Declare data to be panel
xtset member_state year, yearly

*** Analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)
************ Hypothesis 1: the lower the district magnitude, the higher the likelihood of adopting unlawful measures
* Model 1: District magnitude
regress y_num3 Ddistrict_average Mdistrict_average ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
estimates store m1

************ Hypothesis 2 and 3: 			 
* Model 2: District magnitude x Ballot control + District magnitude x VotePool
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_avg c.Mvotepool_avg ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
estimates store m2

* Model 3: District magnitude x Ballot control + District magnitude x VotePool
regress y_num3 c.Ddistrict_average c.Mdistrict_average i.ballot_control c.Dvotepool_sum c.Mvotepool_sum ///
c.Ddistrict_average#i.ballot_control c.Mdistrict_average#i.ballot_control ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum ///
Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3, vce(cl member_state)
estimates store m3

outreg2 [m1 m2 m3] using Table_2.xml, excel replace ///
title("TABLE 2: Electoral Institutions and Unlawful Aid, EU countries 2000-2012") ///
addnote("Coefficients and standard errors, in parentheses, multiplied by 100. Errors clustered on country") ///
stats(coef se) stnum(replace coef=coef*100, replace se=se*100) ///
keep(Ddistrict_average Mdistrict_average 1.ballot_control Dvotepool_avg Mvotepool_avg Dvotepool_sum Mvotepool_sum ///
1.ballot_control#c.Ddistrict_average 1.ballot_control#c.Mdistrict_average ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum Dgovernment_position Mgovernment_position Dpre_election Mpre_election Dgdp_percapita_lag Mgdp_percapita_lag Dlog_years_eu Mlog_years_eu My_num3) ///
sortvar(Ddistrict_average Mdistrict_average 1.ballot_control Dvotepool_avg Mvotepool_avg Dvotepool_sum Mvotepool_sum ///
1.ballot_control#c.Ddistrict_average 1.ballot_control#c.Mdistrict_average ///
c.Ddistrict_average#c.Mvotepool_avg c.Mdistrict_average#c.Dvotepool_avg c.Mdistrict_average#c.Mvotepool_avg ///
c.Ddistrict_average#c.Mvotepool_sum c.Mdistrict_average#c.Dvotepool_sum c.Mdistrict_average#c.Mvotepool_sum Dpre_election Mpre_election Dgovernment_position Mgovernment_position Dlog_years_eu Mlog_years_eu Dgdp_percapita_lag Mgdp_percapita_lag My_num3)

