clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
drop if y_num3==.

*** Declare data to be panel
xtset member_state year, yearly

* Descriptive statistics for public expenditure
xtsum  expenditure_aid_lag 

*** Analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

************ Hypothesis 1: the lower the district magnitude, the higher the likelihood of adopting unlawful measures
*(Model 1 in comparing model.do)
* Model 1: District magnitude
xtpcse y_num3 c.district_average ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(ar1)
estimates store m1

* Model 2: District magnitude
xtpcse y_num3 c.district_average ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(psar1)
estimates store m2

************ Hypothesis 2 and 3: 			 
*(Model 9 in comparing model.do)
* Model 3: District magnitude x Ballot control + District magnitude x VotePool_avg  (ar1)
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(ar1)
estimates store m3

* Model 4: District magnitude x Ballot control + District magnitude x VotePool_avg  (psar1)
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(psar1)
estimates store m4

* Model 5: District magnitude x Ballot control + District magnitude x VotePool_sum  (ar1)
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(ar1)
estimates store m5

* Model 6: District magnitude x Ballot control + District magnitude x VotePool_sum  (psar1)
xtpcse y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state expenditure_aid_lag, pairwise correlation(psar1)
estimates store m6

outreg2 [m1 m2 m3 m4 m5 m6] using Table_A5.xml, excel replace ///
title("TABLE A5: Robustness tests of Table 1 models, inclusion of aid expenditure") ///
addnote("Coefficients and standard errors, in parentheses, multiplied by 100") ///
stats(coef se) stnum(replace coef=coef*100, replace se=se*100) addstat(Wald chi2, e(chi2), Rho, e(rho)) ///
keep(district_average 1.ballot_control 1.ballot_control#c.district_average votepool_avg c.district_average#c.votepool_avg votepool_sum c.district_average#c.votepool_sum government_position pre_election gdp_percapita_lag log_years_eu expenditure_aid_lag) ///
sortvar(district_average 1.ballot_control 1.ballot_control#c.district_average votepool_avg c.district_average#c.votepool_avg votepool_sum c.district_average#c.votepool_sum pre_election government_position log_years_eu gdp_percapita_lag expenditure_aid_lag)

