clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"

*** Declare data to be panel
xtset member_state year, yearly
hist y_num3, discrete freq scheme(s1mono)

*** Analysis on Number of unlawful measures 2001-2012 (DV: y_num3 - number unlawful grants without crisis measure / total number of state aid DG Competition)

************ Hypothesis 1: the lower the district magnitude, the higher the likelihood of adopting unlawful measures
*(Model 1 in comparing model.do)
* Model 1: District magnitude
fraclogit y_num3 c.district_average ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state
estimates store m1


************ Hypothesis 2 and 3: 			 
*(Model 9 in comparing model.do)
* Model 2: District magnitude x Ballot control + District magnitude x VotePool_avg  (ar1)
fraclogit y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_avg c.district_average#c.votepool_avg ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state
estimates store m2

* Model 3: District magnitude x Ballot control + District magnitude x VotePool_sum  (ar1)
fraclogit y_num3 c.district_average i.ballot_control c.district_average#i.ballot_control c.votepool_sum c.district_average#c.votepool_sum ///
government_position pre_election gdp_percapita_lag log_years_eu i.member_state
estimates store m3

outreg2 [m1 m2 m3] using Table_A9.xml, excel replace ///
title("TABLE A9: Robustness tests of Table 1 models, fractional logit models") ///
addnote("Coefficients and standard errors, in parentheses, multiplied by 100") ///
stats(coef se) stnum(replace coef=coef*100, replace se=se*100) ///
keep(district_average 1.ballot_control 1.ballot_control#c.district_average votepool_avg c.district_average#c.votepool_avg votepool_sum c.district_average#c.votepool_sum government_position pre_election gdp_percapita_lag log_years_eu) ///
sortvar(district_average 1.ballot_control 1.ballot_control#c.district_average votepool_avg c.district_average#c.votepool_avg votepool_sum c.district_average#c.votepool_sum pre_election government_position log_years_eu gdp_percapita_lag )

