clear all
version 12.1
use "Replication dataset JPP Franchino Mainenti.dta"
sort country_brief
drop if y_num3==.

mean y_num3, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen My_num3=.
local a=1 
while `a' <= c[1,1] {
replace My_num3=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
} 

mean district_average, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mdistrict_average=.
local a=1 
while `a' <= c[1,1] {
replace Mdistrict_average=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
} 

mean ballot_control, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mballot_control=.
local a=1 
while `a' <= c[1,1] {
replace Mballot_control=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean votepool_avg, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mvotepool_avg=.
local a=1 
while `a' <= c[1,1] {
replace Mvotepool_avg=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean votepool_sum, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mvotepool_sum=.
local a=1 
while `a' <= c[1,1] {
replace Mvotepool_sum=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean pre_election, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mpre_election=.
local a=1 
while `a' <= c[1,1] {
replace Mpre_election=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean government_position, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mgovernment_position=.
local a=1 
while `a' <= c[1,1] {
replace Mgovernment_position=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean log_years_eu, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mlog_years_eu=.
local a=1 
while `a' <= c[1,1] {
replace Mlog_years_eu=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
}

mean gdp_percapita_lag, over (country_brief)
matrix b=e(b)
matrix c=e(N_over)
gen Mgdp_percapita_lag=.
local a=1 
while `a' <= c[1,1] {
replace Mgdp_percapita_lag=b[1,`a'] if country_brief==`a'
local a=`a'+ 1
} 

gen Ddistrict_average=district_average-Mdistrict_average
gen Dballot_control=ballot_control-Mballot_control
gen Dvotepool_avg=votepool_avg-Mvotepool_avg
gen Dvotepool_sum=votepool_sum-Mvotepool_sum
gen Dpre_election=pre_election-Mpre_election
gen Dgovernment_position=government_position-Mgovernment_position
gen Dlog_years_eu=log_years_eu-Mlog_years_eu
gen Dgdp_percapita_lag=gdp_percapita_lag-Mgdp_percapita_lag
